دامنههای اختصاصی
GET https://linkcomposer.com/api/domains/available
curl --request GET \
--url 'https://linkcomposer.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linkcomposer.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| search | اختیاری رشته (String) | عبارت جستجو. |
| search_by | اختیاری رشته (String) | فیلدی که بر اساس آن جستجو میکنید. مقادیر مجاز: host. |
| datetime_field | اختیاری رشته (String) | مقادیر مجاز: datetime, last_datetime |
| datetime_start | اختیاری رشته (String) | فیلتر نتایج از این تاریخ و زمان به بعد. با قالب Y-m-d H:i:s. |
| datetime_end | اختیاری رشته (String) | فیلتر نتایج تا این تاریخ و زمان. با قالب Y-m-d H:i:s. |
| order_by | اختیاری رشته (String) | فیلدی که نتایج بر اساس آن مرتب میشوند. مقادیر مجاز: domain_id, datetime, last_datetime, host. |
| order_type | اختیاری رشته (String) | ترتیب نتایج. مقادیر مجاز: ASC برای ترتیب صعودی و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح (Integer) | شماره صفحهای که میخواهید نتایج آن را دریافت کنید. مقدار پیشفرض 1 است. |
| results_per_page | اختیاری عدد صحیح (Integer) | تعداد نتایج در هر صفحه. مقادیر مجاز: 10, 25, 50, 100, 250, 500, 1000. مقدار پیشفرض 25 است. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": 1,
"scheme": "Example",
"host": "Example",
"url": "https://example.com/",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-03 00:02:09"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://linkcomposer.com/api/domains/available?page=1",
"last": "https://linkcomposer.com/api/domains/available?page=1",
"next": null,
"prev": null,
"self": "https://linkcomposer.com/api/domains/available?page=1"
}
}
GET https://linkcomposer.com/api/domains/
curl --request GET \
--url 'https://linkcomposer.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linkcomposer.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| search | اختیاری رشته (String) | عبارت جستجو. |
| search_by | اختیاری رشته (String) | فیلدی که بر اساس آن جستجو میکنید. مقادیر مجاز: host. |
| is_enabled | اختیاری بولین (Boolean) | |
| datetime_field | اختیاری رشته (String) | مقادیر مجاز: datetime, last_datetime |
| datetime_start | اختیاری رشته (String) | فیلتر نتایج از این تاریخ و زمان به بعد. با قالب Y-m-d H:i:s. |
| datetime_end | اختیاری رشته (String) | فیلتر نتایج تا این تاریخ و زمان. با قالب Y-m-d H:i:s. |
| order_by | اختیاری رشته (String) | فیلدی که نتایج بر اساس آن مرتب میشوند. مقادیر مجاز: domain_id, datetime, last_datetime, host. |
| order_type | اختیاری رشته (String) | ترتیب نتایج. مقادیر مجاز: ASC برای ترتیب صعودی و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح (Integer) | شماره صفحهای که میخواهید نتایج آن را دریافت کنید. مقدار پیشفرض 1 است. |
| results_per_page | اختیاری عدد صحیح (Integer) | تعداد نتایج در هر صفحه. مقادیر مجاز: 10, 25, 50, 100, 250, 500, 1000. مقدار پیشفرض 25 است. |
{
"data": [
{
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-03 00:02:09"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://linkcomposer.com/api/domains?page=1",
"last": "https://linkcomposer.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://linkcomposer.com/api/domains?page=1"
}
}
GET https://linkcomposer.com/api/domains/{domain_id}
curl --request GET \
--url 'https://linkcomposer.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linkcomposer.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-03 00:02:09"
}
}
POST https://linkcomposer.com/api/domains
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| host | الزامی رشته (String) | - |
| custom_index_url | اختیاری رشته (String) | - |
| custom_not_found_url | اختیاری رشته (String) | - |
| scheme | اختیاری رشته (String) | - |
curl --request POST \
--url 'https://linkcomposer.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://linkcomposer.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-03 00:02:09"
}
}
POST https://linkcomposer.com/api/domains/{domain_id}
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| host | اختیاری رشته (String) | - |
| custom_index_url | اختیاری رشته (String) | - |
| custom_not_found_url | اختیاری رشته (String) | - |
| scheme | اختیاری رشته (String) | - |
curl --request POST \
--url 'https://linkcomposer.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://linkcomposer.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-03 00:02:09"
}
}
DELETE https://linkcomposer.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://linkcomposer.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linkcomposer.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \